import { __module as f } from "./index-regeneratorDefine2.js";
var p;
function q() {
  return p ? f.exports : (p = 1, (function(e) {
    function r(x, c, _, g) {
      var t = Object.defineProperty;
      try {
        t({}, "", {});
      } catch {
        t = 0;
      }
      e.exports = r = function(n, o, s, i) {
        function a(u, b) {
          r(n, u, function(h) {
            return this._invoke(u, b, h);
          });
        }
        o ? t ? t(n, o, {
          value: s,
          enumerable: !i,
          configurable: !i,
          writable: !i
        }) : n[o] = s : (a("next", 0), a("throw", 1), a("return", 2));
      }, e.exports.__esModule = !0, e.exports.default = e.exports, r(x, c, _, g);
    }
    e.exports = r, e.exports.__esModule = !0, e.exports.default = e.exports;
  })(f), f.exports);
}
export {
  q as __require
};
